# \Thelia\ModelMessageQuery

Skeleton subclass for performing query and update operations on the 'message' table.

You should add additional methods to this class to meet the application requirements. This class will only be generated as long as it does not already exist in the output directory.

## Summary

Methods
Properties
Constants
__construct()
create()
findPk()
findPks()
filterByPrimaryKey()
filterByPrimaryKeys()
filterById()
filterByCode()
filterBySecured()
filterByRef()
filterByCreatedAt()
filterByUpdatedAt()
filterByVersion()
filterByVersionCreatedAt()
filterByVersionCreatedBy()
filterByMessageI18n()
joinMessageI18n()
useMessageI18nQuery()
filterByMessageVersion()
joinMessageVersion()
useMessageVersionQuery()
prune()
doDeleteAll()
delete()
recentlyUpdated()
recentlyCreated()
lastUpdatedFirst()
firstUpdatedFirst()
lastCreatedFirst()
firstCreatedFirst()
joinI18n()
joinWithI18n()
useI18nQuery()
isVersioningEnabled()
enableVersioning()
disableVersioning()
orderById()
orderByCode()
orderBySecured()
orderByRef()
orderByCreatedAt()
orderByUpdatedAt()
orderByVersion()
orderByVersionCreatedAt()
orderByVersionCreatedBy()
groupById()
groupByCode()
groupBySecured()
groupByRef()
groupByCreatedAt()
groupByUpdatedAt()
groupByVersion()
groupByVersionCreatedAt()
groupByVersionCreatedBy()
leftJoin()
rightJoin()
innerJoin()
leftJoinMessageI18n()
rightJoinMessageI18n()
innerJoinMessageI18n()
leftJoinMessageVersion()
rightJoinMessageVersion()
innerJoinMessageVersion()
findOne()
findOneOrCreate()
findOneById()
findOneByCode()
findOneBySecured()
findOneByRef()
findOneByCreatedAt()
findOneByUpdatedAt()
findOneByVersion()
findOneByVersionCreatedAt()
findOneByVersionCreatedBy()
findById()
findByCode()
findBySecured()
findByRef()
findByCreatedAt()
findByUpdatedAt()
findByVersion()
findByVersionCreatedAt()
findByVersionCreatedBy()
$isVersioningEnabled
No constants found
findPkSimple()
findPkComplex()
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Model/MessageQuery.php
Package
  \Default
Class hierarchy
  \Propel\Runtime\ActiveQuery\ModelCriteria
  \Thelia\Model\Base\MessageQuery
  \Thelia\Model\MessageQuery

## Tags

None found

## Properties

### $isVersioningEnabled

    $isVersioningEnabled

Whether the versioning is enabled

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

## Methods

### __construct()

    __construct(string $dbName, string $modelName, string $modelAlias)

Initializes internal state of \Thelia\Model\Base\MessageQuery object.

#### Parameters

string | $dbName | The database name
string | $modelName | The phpName of a model, e.g. 'Book'
string | $modelAlias | The alias for the model in this query, e.g. 'b'

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### create()

    create(string $modelAlias, \Propel\Runtime\ActiveQuery\Criteria $criteria) : \Thelia\Model\MessageQuery

Returns a new ChildMessageQuery object.

#### Parameters

string | $modelAlias | The alias of a model in the query
\Propel\Runtime\ActiveQuery\Criteria | $criteria | Optional Criteria to build the query from

#### Returns

\Thelia\Model\MessageQuery

#

static

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findPk()

    findPk(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Message|array|mixed

Find object by primary key.

Propel uses the instance pool to skip the database if the object exists. Go fast if the query is untouched.

`$obj = $c->findPk(12, $con);`

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Thelia\Model\Message|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findPks()

    findPks(array $keys, \Propel\Runtime\Connection\ConnectionInterface $con) : \Propel\Runtime\Collection\ObjectCollection|array|mixed

Find objects by primary key <code> $objs = $c->findPks(array(12, 56, 832), $con); </code>

#### Parameters

array | $keys | Primary keys to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | an optional connection object

#### Returns

\Propel\Runtime\Collection\ObjectCollection|array|mixed —

the list of results, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterByPrimaryKey()

    filterByPrimaryKey(mixed $key) : \Thelia\Model\MessageQuery

Filter the query by primary key

#### Parameters

mixed | $key | Primary key to use for the query

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterByPrimaryKeys()

    filterByPrimaryKeys(array $keys) : \Thelia\Model\MessageQuery

Filter the query by a list of primary keys

#### Parameters

array | $keys | The list of primary key to use for the query

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterById()

    filterById(mixed $id, string $comparison) : \Thelia\Model\MessageQuery

Filter the query on the id column

Example usage: `$query->filterById(1234); // WHERE id = 1234 $query->filterById(array(12, 34)); // WHERE id IN (12, 34) $query->filterById(array('min' => 12)); // WHERE id > 12`

#### Parameters

mixed | $id | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterByCode()

    filterByCode(string $code, string $comparison) : \Thelia\Model\MessageQuery

Filter the query on the code column

Example usage: `$query->filterByCode('fooValue'); // WHERE code = 'fooValue' $query->filterByCode('%fooValue%'); // WHERE code LIKE '%fooValue%'`

#### Parameters

string | $code | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterBySecured()

    filterBySecured(mixed $secured, string $comparison) : \Thelia\Model\MessageQuery

Filter the query on the secured column

Example usage: `$query->filterBySecured(1234); // WHERE secured = 1234 $query->filterBySecured(array(12, 34)); // WHERE secured IN (12, 34) $query->filterBySecured(array('min' => 12)); // WHERE secured > 12`

#### Parameters

mixed | $secured | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterByRef()

    filterByRef(string $ref, string $comparison) : \Thelia\Model\MessageQuery

Filter the query on the ref column

Example usage: `$query->filterByRef('fooValue'); // WHERE ref = 'fooValue' $query->filterByRef('%fooValue%'); // WHERE ref LIKE '%fooValue%'`

#### Parameters

string | $ref | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterByCreatedAt()

    filterByCreatedAt(mixed $createdAt, string $comparison) : \Thelia\Model\MessageQuery

Filter the query on the created_at column

Example usage: `$query->filterByCreatedAt('2011-03-14'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt('now'); // WHERE created_at = '2011-03-14' $query->filterByCreatedAt(array('max' => 'yesterday')); // WHERE created_at > '2011-03-13'`

#### Parameters

mixed | $createdAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterByUpdatedAt()

    filterByUpdatedAt(mixed $updatedAt, string $comparison) : \Thelia\Model\MessageQuery

Filter the query on the updated_at column

Example usage: `$query->filterByUpdatedAt('2011-03-14'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt('now'); // WHERE updated_at = '2011-03-14' $query->filterByUpdatedAt(array('max' => 'yesterday')); // WHERE updated_at > '2011-03-13'`

#### Parameters

mixed | $updatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterByVersion()

    filterByVersion(mixed $version, string $comparison) : \Thelia\Model\MessageQuery

Filter the query on the version column

Example usage: `$query->filterByVersion(1234); // WHERE version = 1234 $query->filterByVersion(array(12, 34)); // WHERE version IN (12, 34) $query->filterByVersion(array('min' => 12)); // WHERE version > 12`

#### Parameters

mixed | $version | The value to use as filter. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterByVersionCreatedAt()

    filterByVersionCreatedAt(mixed $versionCreatedAt, string $comparison) : \Thelia\Model\MessageQuery

Filter the query on the version_created_at column

Example usage: `$query->filterByVersionCreatedAt('2011-03-14'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt('now'); // WHERE version_created_at = '2011-03-14' $query->filterByVersionCreatedAt(array('max' => 'yesterday')); // WHERE version_created_at > '2011-03-13'`

#### Parameters

mixed | $versionCreatedAt | The value to use as filter. Values can be integers (unix timestamps), DateTime objects, or strings. Empty strings are treated as NULL. Use scalar values for equality. Use array values for in_array() equivalent. Use associative array('min' => $minValue, 'max' => $maxValue) for intervals.
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterByVersionCreatedBy()

    filterByVersionCreatedBy(string $versionCreatedBy, string $comparison) : \Thelia\Model\MessageQuery

Filter the query on the version_created_by column

Example usage: `$query->filterByVersionCreatedBy('fooValue'); // WHERE version_created_by = 'fooValue' $query->filterByVersionCreatedBy('%fooValue%'); // WHERE version_created_by LIKE '%fooValue%'`

#### Parameters

string | $versionCreatedBy | The value to use as filter. Accepts wildcards (* and % trigger a LIKE)
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### filterByMessageI18n()

    filterByMessageI18n(\Thelia\Model\MessageI18n|\Propel\Runtime\Collection\ObjectCollection $messageI18n, string $comparison) : \Thelia\Model\MessageQuery

Filter the query by a related \Thelia\Model\MessageI18n object

#### Parameters

\Thelia\Model\MessageI18n|\Propel\Runtime\Collection\ObjectCollection | $messageI18n | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### joinMessageI18n()

    joinMessageI18n(string $relationAlias, string $joinType) : \Thelia\Model\MessageQuery

Adds a JOIN clause to the query using the MessageI18n relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### useMessageI18nQuery()

    useMessageI18nQuery(string $relationAlias, string $joinType) : \Thelia\Model\MessageI18nQuery

Use the MessageI18n relation MessageI18n object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\MessageI18nQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\MessageQuery
See also

## Tags

None found

### filterByMessageVersion()

    filterByMessageVersion(\Thelia\Model\MessageVersion|\Propel\Runtime\Collection\ObjectCollection $messageVersion, string $comparison) : \Thelia\Model\MessageQuery

Filter the query by a related \Thelia\Model\MessageVersion object

#### Parameters

\Thelia\Model\MessageVersion|\Propel\Runtime\Collection\ObjectCollection | $messageVersion | the related object to use as filter
string | $comparison | Operator to use for the column comparison, defaults to Criteria::EQUAL

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### joinMessageVersion()

    joinMessageVersion(string $relationAlias, string $joinType) : \Thelia\Model\MessageQuery

Adds a JOIN clause to the query using the MessageVersion relation

#### Parameters

string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### useMessageVersionQuery()

    useMessageVersionQuery(string $relationAlias, string $joinType) : \Thelia\Model\MessageVersionQuery

Use the MessageVersion relation MessageVersion object

#### Parameters

string | $relationAlias | optional alias for the relation, to be used as main alias in the secondary query
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'

#### Returns

\Thelia\Model\MessageVersionQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\MessageQuery
See also

## Tags

None found

### prune()

    prune(\Thelia\Model\Message $message) : \Thelia\Model\MessageQuery

Exclude object from result

#### Parameters

\Thelia\Model\Message | $message | Object to remove from the list of results

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### doDeleteAll()

    doDeleteAll(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Deletes all rows from the message table.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Returns

int —

The number of affected rows (if supported by underlying database driver).

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### delete()

    delete(\Propel\Runtime\Connection\ConnectionInterface $con) : int

Performs a DELETE on the database, given a ChildMessage or Criteria object OR a primary key value.

#### Parameters

\Propel\Runtime\Connection\ConnectionInterface | $con | the connection to use

#### Throws

\Propel\Runtime\Exception\PropelException

  Any exceptions caught during processing will be rethrown wrapped into a PropelException.

#### Returns

int —

The number of affected rows (if supported by underlying database driver). This includes CASCADE-related rows if supported by native driver or if emulated using Propel.

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### recentlyUpdated()

    recentlyUpdated(int $nbDays) : \Thelia\Model\MessageQuery

Filter by the latest updated

#### Parameters

int | $nbDays | Maximum age of the latest update in days

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### recentlyCreated()

    recentlyCreated(int $nbDays) : \Thelia\Model\MessageQuery

Filter by the latest created

#### Parameters

int | $nbDays | Maximum age of in days

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### lastUpdatedFirst()

    lastUpdatedFirst() : \Thelia\Model\MessageQuery

Order by update date desc

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### firstUpdatedFirst()

    firstUpdatedFirst() : \Thelia\Model\MessageQuery

Order by update date asc

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### lastCreatedFirst()

    lastCreatedFirst() : \Thelia\Model\MessageQuery

Order by create date desc

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### firstCreatedFirst()

    firstCreatedFirst() : \Thelia\Model\MessageQuery

Order by create date asc

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### joinI18n()

    joinI18n(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\MessageQuery

Adds a JOIN clause to the query using the i18n relation

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### joinWithI18n()

    joinWithI18n(string $locale, string $joinType) : \Thelia\Model\MessageQuery

Adds a JOIN clause to the query and hydrates the related I18n object.

Shortcut for $c->joinI18n($locale)->with()

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\MessageQuery —

The current query, for fluid interface

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### useI18nQuery()

    useI18nQuery(string $locale, string $relationAlias, string $joinType) : \Thelia\Model\MessageI18nQuery

Use the I18n relation query object

#### Parameters

string | $locale | Locale to use for the join condition, e.g. 'fr_FR'
string | $relationAlias | optional alias for the relation
string | $joinType | Accepted values are null, 'left join', 'right join', 'inner join'. Defaults to left join.

#### Returns

\Thelia\Model\MessageI18nQuery —

A secondary query class using the current class as primary query

#

Inherited from
  \Thelia\Model\Base\MessageQuery
See also

## Tags

None found

### isVersioningEnabled()

    isVersioningEnabled() : boolean

Checks whether versioning is enabled

#### Returns

boolean

#

static

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### enableVersioning()

    enableVersioning()

Enables versioning

#

static

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### disableVersioning()

    disableVersioning()

Disables versioning

#

static

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### orderById()

    orderById($order =) : \Thelia\Model\MessageQuery

Order by the id column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### orderByCode()

    orderByCode($order =) : \Thelia\Model\MessageQuery

Order by the code column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### orderBySecured()

    orderBySecured($order =) : \Thelia\Model\MessageQuery

Order by the secured column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### orderByRef()

    orderByRef($order =) : \Thelia\Model\MessageQuery

Order by the ref column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### orderByCreatedAt()

    orderByCreatedAt($order =) : \Thelia\Model\MessageQuery

Order by the created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### orderByUpdatedAt()

    orderByUpdatedAt($order =) : \Thelia\Model\MessageQuery

Order by the updated_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### orderByVersion()

    orderByVersion($order =) : \Thelia\Model\MessageQuery

Order by the version column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### orderByVersionCreatedAt()

    orderByVersionCreatedAt($order =) : \Thelia\Model\MessageQuery

Order by the version_created_at column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### orderByVersionCreatedBy()

    orderByVersionCreatedBy($order =) : \Thelia\Model\MessageQuery

Order by the version_created_by column

#### Parameters

$order | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### groupById()

    groupById() : \Thelia\Model\MessageQuery

Group by the id column

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### groupByCode()

    groupByCode() : \Thelia\Model\MessageQuery

Group by the code column

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### groupBySecured()

    groupBySecured() : \Thelia\Model\MessageQuery

Group by the secured column

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### groupByRef()

    groupByRef() : \Thelia\Model\MessageQuery

Group by the ref column

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### groupByCreatedAt()

    groupByCreatedAt() : \Thelia\Model\MessageQuery

Group by the created_at column

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### groupByUpdatedAt()

    groupByUpdatedAt() : \Thelia\Model\MessageQuery

Group by the updated_at column

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### groupByVersion()

    groupByVersion() : \Thelia\Model\MessageQuery

Group by the version column

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### groupByVersionCreatedAt()

    groupByVersionCreatedAt() : \Thelia\Model\MessageQuery

Group by the version_created_at column

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### groupByVersionCreatedBy()

    groupByVersionCreatedBy() : \Thelia\Model\MessageQuery

Group by the version_created_by column

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### leftJoin()

    leftJoin(mixed $relation) : \Thelia\Model\MessageQuery

Adds a LEFT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### rightJoin()

    rightJoin(mixed $relation) : \Thelia\Model\MessageQuery

Adds a RIGHT JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### innerJoin()

    innerJoin(mixed $relation) : \Thelia\Model\MessageQuery

Adds a INNER JOIN clause to the query

#### Parameters

mixed | $relation |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### leftJoinMessageI18n()

    leftJoinMessageI18n($relationAlias =) : \Thelia\Model\MessageQuery

Adds a LEFT JOIN clause to the query using the MessageI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### rightJoinMessageI18n()

    rightJoinMessageI18n($relationAlias =) : \Thelia\Model\MessageQuery

Adds a RIGHT JOIN clause to the query using the MessageI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### innerJoinMessageI18n()

    innerJoinMessageI18n($relationAlias =) : \Thelia\Model\MessageQuery

Adds a INNER JOIN clause to the query using the MessageI18n relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### leftJoinMessageVersion()

    leftJoinMessageVersion($relationAlias =) : \Thelia\Model\MessageQuery

Adds a LEFT JOIN clause to the query using the MessageVersion relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### rightJoinMessageVersion()

    rightJoinMessageVersion($relationAlias =) : \Thelia\Model\MessageQuery

Adds a RIGHT JOIN clause to the query using the MessageVersion relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### innerJoinMessageVersion()

    innerJoinMessageVersion($relationAlias =) : \Thelia\Model\MessageQuery

Adds a INNER JOIN clause to the query using the MessageVersion relation

#### Parameters

$relationAlias | = |

#### Returns

\Thelia\Model\MessageQuery

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOne()

    findOne(ConnectionInterface $con) : \Thelia\Model\Message

Return the first ChildMessage matching the query

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOneOrCreate()

    findOneOrCreate(ConnectionInterface $con) : \Thelia\Model\Message

Return the first ChildMessage matching the query, or a new ChildMessage object populated from the query conditions when no match is found

#### Parameters

ConnectionInterface | $con |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOneById()

    findOneById(int $id) : \Thelia\Model\Message

Return the first ChildMessage filtered by the id column

#### Parameters

int | $id |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOneByCode()

    findOneByCode(string $code) : \Thelia\Model\Message

Return the first ChildMessage filtered by the code column

#### Parameters

string | $code |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOneBySecured()

    findOneBySecured(int $secured) : \Thelia\Model\Message

Return the first ChildMessage filtered by the secured column

#### Parameters

int | $secured |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOneByRef()

    findOneByRef(string $ref) : \Thelia\Model\Message

Return the first ChildMessage filtered by the ref column

#### Parameters

string | $ref |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOneByCreatedAt()

    findOneByCreatedAt(string $created_at) : \Thelia\Model\Message

Return the first ChildMessage filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOneByUpdatedAt()

    findOneByUpdatedAt(string $updated_at) : \Thelia\Model\Message

Return the first ChildMessage filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOneByVersion()

    findOneByVersion(int $version) : \Thelia\Model\Message

Return the first ChildMessage filtered by the version column

#### Parameters

int | $version |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOneByVersionCreatedAt()

    findOneByVersionCreatedAt(string $version_created_at) : \Thelia\Model\Message

Return the first ChildMessage filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findOneByVersionCreatedBy()

    findOneByVersionCreatedBy(string $version_created_by) : \Thelia\Model\Message

Return the first ChildMessage filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

\Thelia\Model\Message

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findById()

    findById(int $id) : array

Return ChildMessage objects filtered by the id column

#### Parameters

int | $id |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findByCode()

    findByCode(string $code) : array

Return ChildMessage objects filtered by the code column

#### Parameters

string | $code |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findBySecured()

    findBySecured(int $secured) : array

Return ChildMessage objects filtered by the secured column

#### Parameters

int | $secured |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findByRef()

    findByRef(string $ref) : array

Return ChildMessage objects filtered by the ref column

#### Parameters

string | $ref |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findByCreatedAt()

    findByCreatedAt(string $created_at) : array

Return ChildMessage objects filtered by the created_at column

#### Parameters

string | $created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findByUpdatedAt()

    findByUpdatedAt(string $updated_at) : array

Return ChildMessage objects filtered by the updated_at column

#### Parameters

string | $updated_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findByVersion()

    findByVersion(int $version) : array

Return ChildMessage objects filtered by the version column

#### Parameters

int | $version |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findByVersionCreatedAt()

    findByVersionCreatedAt(string $version_created_at) : array

Return ChildMessage objects filtered by the version_created_at column

#### Parameters

string | $version_created_at |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findByVersionCreatedBy()

    findByVersionCreatedBy(string $version_created_by) : array

Return ChildMessage objects filtered by the version_created_by column

#### Parameters

string | $version_created_by |

#### Returns

array

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findPkSimple()

    findPkSimple(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Message

Find object by primary key using raw SQL to go fast.

Bypass doSelect() and the object formatter by using generated code.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Message —

A model object, or null if the key is not found

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### findPkComplex()

    findPkComplex(mixed $key, \Propel\Runtime\Connection\ConnectionInterface $con) : \Thelia\Model\Message|array|mixed

Find object by primary key.

#### Parameters

mixed | $key | Primary key to use for the query
\Propel\Runtime\Connection\ConnectionInterface | $con | A connection object

#### Returns

\Thelia\Model\Message|array|mixed —

the result, formatted by the current formatter

#

Inherited from
  \Thelia\Model\Base\MessageQuery

## Tags

None found

### MessageQuery.php